# $Revision: 1.12 $, $Date: 2004/08/01 23:22:03 $
#
# Conditional build:
%bcond_without	test # do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	PAR
%define	pnam	Dist
Summary:	PAR::Dist - create and manipulate PAR distributions
Summary(pl):	PAR::Dist - tworzenie i manipulacja dystrybucjami PAR
Name:		perl-PAR-Dist
Version:	0.07
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/PAR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	3f708ad631d1dfaf2a7600d941eae808
URL:		http://par.perl.org
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module creates and manipulates PAR distributions.  They are
architecture-specific PAR files, containing everything under blib/ of
CPAN distributions after their "make" or "Build" stage, a META.yml
describing metadata of the original CPAN distribution, and a MANIFEST
detailing all files within it.  Digitally signed PAR distributions
will also contain a SIGNATURE file.

%description -l pl
Ten modu tworzy i manipuluje dystrybucjami PAR. S one zalenymi od
architektury plikami PAR. Zawieraj wszystko to, co znajduje si
w katalogu blib/ dystrybucji CPAN po wykonaniu etapu "make" lub
"Build", plik META.yml opisujcy metadane pierwotnej dystrybucji CPAN
oraz plik MANIFEST zawierajcy list plikw. Podpisane cyfrowo
dystrybucje PAR zawieraj dodatkowo plik SIGNATURE.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/PAR/*.pm
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PAR-Dist.spec,v $
Revision 1.12  2004/08/01 23:22:03  ankry
- removed dir belonging to perl-base, rel. 3

Revision 1.11  2004/06/05 20:26:53  radek
- massive: unfold macros in name/summary & other unifications

Revision 1.10  2004/05/07 00:32:03  ankry
- rel. 2

Revision 1.9  2004/05/06 18:43:20  ankry
- fixed perl-devel BR

Revision 1.8  2004/05/06 05:34:00  ankry
- cosmetics

Revision 1.7  2004/04/22 20:21:04  agaran
- updated to new bconds

Revision 1.6  2004/04/15 09:09:48  ankry
- cosmetics

Revision 1.5  2004/01/24 23:27:58  arekm
- autoupdated to 0.07

Revision 1.4  2003/09/27 21:03:03  migo
- fixes in description

Revision 1.3  2003/09/25 22:19:57  ankry
- pl translation, cosmetics

Revision 1.2  2003/09/08 20:58:09  ankry
- md5

Revision 1.1  2003/09/08 19:22:36  migo
- initial revision
